Bug 1680067 - Documentation link is wrong for Infrastructure > HTTP Capsules
Summary: Documentation link is wrong for Infrastructure > HTTP Capsules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Branding
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: tstrych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-22 16:30 UTC by Melanie Corr
Modified: 2019-10-07 17:20 UTC (History)
8 users (show)

Fixed In Version: tfm-rubygem-foreman_theme_satellite-3.0.1.9-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:25 UTC

Description Melanie Corr 2019-02-22 16:30:49 UTC
Description of problem: The documentation link for *Infrastructure* > *HTTP Capsules* points to a guide that has no help for this feature. 


Version-Release number of selected component (if applicable): 6.5


How reproducible: Always


Steps to Reproduce:
1. Navigate to Infrastructure > HTTP Capsules
2. Click the link to documentation 
3. The following guide opens https://access.redhat.com/documentation/en-us/red_hat_satellite/6.5/html/managing_hosts

Actual results: These docs have no help or guidance for this part of the product.


Expected results: https://access.redhat.com/documentation/en-us/red_hat_satellite/{ProductVersion}/html/provisioning_guide/provisioning_cloud_instances_in_amazon_ec2#Provisioning_Cloud_Instances_in_Amazon_EC2-Using-an-HTTP-Smart-Proxy


Additional info: This feature is supported only for EC2 compute resources. here is a live link in 6.4

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.4/html/provisioning_guide/provisioning_cloud_instances_in_amazon_ec2#Provisioning_Cloud_Instances_in_Amazon_EC2-Using-an-HTTP-Smart-Proxy

Comment 11 tstrych 2019-04-02 15:33:25 UTC
Steps were reproduced on sat-6.5 snap 20,
package version: tfm-rubygem-foreman_theme_satellite-3.0.1.11-1

HTTP Capsules button is already changed to HTTP Proxies.
Link to documentation opens this URL:
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.5/html/provisioning_guide/provisioning_cloud_instances_in_amazon_ec2#Provisioning_Cloud_Instances_in_Amazon_EC2-Using-an-HTTP-Smart-Proxy

which exactly match the expected result: 
https://access.redhat.com/documentation/en-us/red_hat_satellite/{ProductVersion}/html/provisioning_guide/provisioning_cloud_instances_in_amazon_ec2#Provisioning_Cloud_Instances_in_Amazon_EC2-Using-an-HTTP-Smart-Proxy

Small problem here is sat6.5 documentation it's not released yet. But with product version 6.4 works fine. 


Verified.

Comment 15 errata-xmlrpc 2019-05-14 12:40:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.